# BindingMemberInfo

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Contains information that enables a [Binding](/api/wisej.web/data-binding/wisej.web.binding.md) to resolve a data binding to either the property of an object or the property of the current object in a list of objects.

{% tabs %}
{% tab title="C#" %}

```csharp
public struct BindingMemberInfo : ValueType
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Structure BindingMemberInfo
    Implements ValueType
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) BindingMemberInfo(dataMember)

Initializes a new instance of the [BindingMemberInfo](/api/wisej.web/data-binding/wisej.web.bindingmemberinfo.md) class.

| Name           | Type                                                          | Description                                                                                                                     |
| -------------- | ------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| **dataMember** | [String](https://docs.microsoft.com/dotnet/api/system.string) | A navigation path that resolves to either the property of an object or the property of the current object in a list of objects. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) BindingField

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns the property name of the data-bound object.

### ![](/files/hsR4ok3152WyAf8J2C1u) BindingMember

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns the information that is used to specify the property name of the data-bound object.

### ![](/files/hsR4ok3152WyAf8J2C1u) BindingPath

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns the property name, or the period-delimited hierarchy of property names, that comes before the property name of the data-bound object.

## Used By

| Name                                                                                              | Description                                                                                                                                                                      |
| ------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [IBinding.BindingMemberInfo](/api/wisej.web/data-binding/wisej.web.ibinding.md#bindingmemberinfo) | Return the binding information based on the dataMember parameter in the [#ctor](https://docs.wisej.com/api/wisej.web/data-binding/pages/mgtxNrlMnExaU2TzhkkI##ctor) constructor. |
| [Binding.BindingMemberInfo](/api/wisej.web/data-binding/wisej.web.binding.md#bindingmemberinfo)   | Return the binding information based on the dataMember parameter in the [#ctor](https://docs.wisej.com/api/wisej.web/data-binding/pages/mgtxNrlMnExaU2TzhkkI##ctor) constructor. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.bindingmemberinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
